Skip to content

Get inbound email

GET
/api/emails/{emailId}

Authorizations

ApiKey
Type
API Key (header: X-Api-Key)

Parameters

Path Parameters

emailId*
Type
string
Required

Responses

application/json
JSON
{
  
"data": {
  
  
"id": "email_123",
  
  
"from": {
  
  
  
"address": "john@example.com",
  
  
  
"name": "John Doe"
  
  
},
  
  
"to": [
  
  
  
{
  
  
  
  
"address": "john@example.com",
  
  
  
  
"name": "John Doe"
  
  
  
}
  
  
],
  
  
"cc": [
  
  
  
{
  
  
  
  
"address": "john@example.com",
  
  
  
  
"name": "John Doe"
  
  
  
}
  
  
],
  
  
"bcc": [
  
  
  
{
  
  
  
  
"address": "john@example.com",
  
  
  
  
"name": "John Doe"
  
  
  
}
  
  
],
  
  
"subject": "Password reset",
  
  
"html": "string",
  
  
"text": "string",
  
  
"received_date": "2026-04-25T08:30:00.000Z",
  
  
"received_timestamp": 1714857600,
  
  
"expires_timestamp": 1714944000,
  
  
"spam_score": 0,
  
  
"headers": {
  
  
  
"additionalProperties": "string"
  
  
},
  
  
"attachments": [
  
  
  
{
  
  
  
  
"id": "att_123",
  
  
  
  
"filename": "invoice.pdf",
  
  
  
  
"content_type": "application/pdf",
  
  
  
  
"size": 1024
  
  
  
}
  
  
]
  
}
}

Playground

Server
Authorization
Variables
Key
Value

Samples

Powered by VitePress OpenAPI